package junit_tests;

import static org.junit.Assert.*;

import org.junit.Test;

import model.Person;

public class Tests {

	@Test
	public void test_1() {
		Person jim = new Person();
		Person jonathan = new Person();
		assertTrue(jim != jonathan);
		assertFalse(jim == jonathan);
		// assertSame(jim, jonathan); /* do jim and jonathan store the same address */
		assertNotSame(jim, jonathan);
	}
	
	/* 
	 * Exercise: Write test_2 here (see iPad notes) 
	 */
	
	@Test
	public void test_3() { 
		Person jim = new Person(72, 1.81);
		Person jonathan = new Person(65, 1.67);
		
		assertEquals(21.977, jim.getBMI(), 0.01);
		assertEquals(23.307, jonathan.getBMI(), 0.01);
		
		jim.gainWeightBy(3);
		jonathan.gainWeightBy(3);
		
		assertEquals(22.893, jim.getBMI(), 0.01);
		assertEquals(24.382, jonathan.getBMI(), 0.01);
	}

}






